tpm2_rc_decode(1)

NAME

tpm2_rc_decode(1) - Decode TPM2 error codes to a human readable format.

SYNOPSIS

tpm2_rc_decode [OPTIONS] [ARGUMENT]

DESCRIPTION

tpm2_rc_decode(1) - Converts an RC_CODE from the TPM or TSS2 software stack into human readable errors. Analogous to strerror(3), but for the TPM2 stack.

OPTIONS

This tool takes no tool specific options.

•   ARGUMENT the command line argument specifies the error code to be parsed.

  References

COMMON OPTIONS

This collection of options are common to many programs and provide information that many users may expect.

•   -h, --help=[man|no-man]: Display the tools manpage. By default, it attempts to invoke the manpager for the tool, however, on failure will output a short tool summary. This is the same behavior if the “man” option argument is specified, however if explicit “man” is requested, the tool will provide errors from man on stderr. If the “no-man” option if specified, or the manpager fails, the short options will be output to stdout.

    To successfully use the manpages feature requires the manpages to be installed or on MANPATH, See man(1) for more details.

•   -v, --version: Display version information for this tool, supported tctis and exit.

•   -V, --verbose: Increase the information that the tool prints to the console during its execution. When using this option the file and line number are printed.

•   -Q, --quiet: Silence normal tool output to stdout.

•   -Z, --enable-errata: Enable the application of errata fixups. Useful if an errata fixup needs to be applied to commands sent to the TPM. Defining the environment TPM2TOOLS_ENABLE_ERRATA is equivalent. information many users may expect.

EXAMPLES

    tpm2_rc_decode 0x1d5
    tpm:parameter(1):structure is the wrong size

Returns

Tools can return any of the following codes:

•   0 - Success.

•   1 - General non-specific error.

•   2 - Options handling error.

•   3 - Authentication error.

•   4 - TCTI related error.

•   5 - Non supported scheme. Applicable to tpm2_testparams.

BUGS

Github Issues (https://github.com/tpm2-software/tpm2-tools/issues)

HELP

See the Mailing List (https://lists.linuxfoundation.org/mailman/listinfo/tpm2)